Package org.tmatesoft.svn.core.auth

# Interface ISVNSSHHostVerifier

All Known Implementing Classes:
  `BasicAuthenticationManager`

public interface ISVNSSHHostVerifier

Version:
  1.3
Author:
  TMate Software Ltd.

## Method Summary

Modifier and Type
Method
Description
`void`
`verifyHostKey(String hostName, int port, String keyAlgorithm, byte[] hostKey)`

## Method Details

### verifyHostKey

void verifyHostKey(String hostName, int port, String keyAlgorithm, byte[] hostKey) throws SVNException

Throws:
  `SVNException`